Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000667Mac OS X Inform application[IDEs] Editingpublic2011-05-21 05:402014-05-07 07:40
ReporterJuhana 
Assigned Totoby 
PrioritynormalSeveritymildReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSMac OS XOS Version10.6
Product Version 
Target VersionFixed in Version6L02 
Summary0000667: IDE doesn't register changes made while compiling the game
DescriptionIf you make changes to the source while Inform is compiling it, the IDE doesn't recognize that the source code has changed. If you try to compile the game again the IDE thinks there haven't been any changes and just restarts the game. Apparently tracking for changes starts only after the compilation ends.
Minimal Source Text To Reproduce
1. Press Cmd-R or click "Compile and run" to start compiling.
2. While Inform is compiling, make any changes to the source text. 
3. Press Cmd-R or click "Compile and run" again. The compiler doesn't run, the game only restarts.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2011-05-21 05:40 Juhana New Issue
2011-05-22 12:55 jmcgrew Project IDEs => Mac OS X Inform application
2011-05-22 12:55 jmcgrew Severity cosmetic => mild
2011-05-22 12:55 jmcgrew Status new => acknowledged
2011-05-23 09:12 EmacsUser Status acknowledged => confirmed
2014-04-21 13:20 toby Status confirmed => resolved
2014-04-21 13:20 toby Resolution open => fixed
2014-04-21 13:20 toby Assigned To => toby
2014-05-07 07:40 jmcgrew Fixed in Version => 6L02
2014-05-07 07:40 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker